Allows you to get a Standard Object like business and custom object record by Id
http
GET https://services.leadconnectorhq.com/objects/{schemaKey}/records/{id}Authorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
schemaKey | string | Yes | custom_objects.pet or business.email (for company's email) | The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings. |
id | string | Yes | 632c34b4c9b7da3358ac9891 | id of the record to be updated. Available on the Record details page under the 3 dots or in the url |
Responses
200 - Successful response
record(object)id(string, required): id of the record Example:661c06b4ffde146bdb469442owner(string[], required): Owner (User's id). Limited to 1 for now. Only Supported with custom objectsfollowers(string[], required): Follower (User's ids). Limited to 10 for nowproperties(string, required): Properties of the recorddateAdded(string, required): Date and time when the object was addeddateUpdated(string, required): Date and time when the object was last updated
json
{
"record": {
"id": "661c06b4ffde146bdb469442",
"owner": [
"sx6wyHhbFdRXh302Lunr"
],
"followers": [
"sx6wyHhbFdRXh302Lunr",
"v5cEPM428h8vShlRW1KT"
],
"properties": {
"customer_number": 1424,
"ticket_name": "Customer not able login",
"phone_number": "+917000000000",
"money": {
"currency": "default",
"value": 100
},
"type_of_ticket": "doubt",
"section_of_app": [
"contacts",
"smartlist"
],
"recieved_on": "2024-07-11",
"my_files": [
{
"url": "---url_of_file---"
}
],
"my_textbox_list.option_a": "Value 1",
"my_textbox_list.option_b": "Value 2"
},
"dateAdded": "2024-01-15T10:30:00Z",
"dateUpdated": "2024-01-15T10:30:00Z"
}
}400 - Bad Request
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records/YOUR_id');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);